Subject: Re: [ANNOUNCE] git/gitweb.git repository

From: Junio C Hamano <[email-masked]>
Date: Sat, 01 Sep 2007 10:54:04 -0700

"Jon Smirl" <[email-masked]> writes:

> On 8/30/07, Petr Baudis <[email-masked]> wrote:
>>
>>   due to popular (Junio's) demand, I have set up a gitweb-oriented fork
>> of git at repo.or.cz:
>>
>>         http://repo.or.cz/w/git/gitweb.git
>>
>>   It is meant as a hub for various gitweb-related patches and
>> development efforts. So far it is pre-seeded by the patches repo.or.cz's
>> gitweb uses. It is divided to three main branches (StGIT patchstacks in
>> reality), where master is what Junio is gonna pull to git's master.
>
> Using gitweb....
> Since this is a patch stack, how do I get the summary log messages for
> just the commits on the branch without getting the log messages for
> the master repository mixed in? Would that give me a nice list of the
> pending patches?

That's an excellent suggestion.  I'd love to see "fork" aware
gitweb myself.

If a project A is "forked" repo.or.cz style to a project B, what
often is interesting to see is what changes B has relative to A.

In other words, you would want to view all of B except what are
in A, something like:

$ gitk --all --not $(git for-each-ref --format='%(objectname)' refs/remotes/A)